[mythtv-users] CentOS 5.1 support

Jacob Steenhagen jacob at steenhagen.us
Sat Jan 12 02:45:53 UTC 2008


On Jan 11, 2008 8:31 PM, Craig Huff <huffcslists at gmail.com> wrote:

> Now, when I tried, tonight, to install mythtv with "yum install
> mythtv" it cranked for awhile and quit with these problems:
> Error: Missing Dependency: perl(XML::Writer) >= 0.600 is needed by
> package perl-XMLTV
> Error: Missing Dependency: libFLAC.so.8 is needed by package mythmusic
> Error: Missing Dependency: PIL is needed by package mytharchive
> Error: Missing Dependency: perl(XML::Twig) >= 3.28 is needed by
> package xmltv-grabbers
>

You either have to use the test repository or download/install a few RPMs
manually (as I recall: libFLAC8, perl-XML-Twig, and PIL). This is because
MythTV requires newer versions of these than what comes with CentOS 5.1 and
the policy of atrpms stable for the el repositories is to not replace distro
packages. Testing in the el repos is basically stable + distro replacements.

I had the impression that I either A) didn't want to use freshrpms
> with CentOS or B) *couldn't* use it, so I don't have it (nor any other
> repositories added, for that matter).
>

I don't think freshrpms works with CentOS/RHEL; however, rpmforge does. I
used that to get VLC and a couple other things that weren't in the offical
CentOS repos or atrpms.

-- 
http://jacob.steenhagen.us
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mythtv.org/pipermail/mythtv-users/attachments/20080111/70a816a1/attachment.htm 


More information about the mythtv-users mailing list